function [state errorMsg] = mmmbGetAnimats(Fid, Iteration)

global MMMBLASTFNCANIMATSTATE;
global MMMBLASTITERATION;
global MMMB_SUMMARY;
global MMMBANIMATSTATEPOINTERARRAY;
MMMBLASTFNCANIMATSTATE = 0; % Treated like a boolean, 0 = FALSE.
MMMBLASTITERATION = -1;
MMMB_SUMMARY = [];

state = [];
errorMsg = 'OK';

% Confirm the global summary has been set.
if isempty(MMMB_SUMMARY)
    [MMMB_SUMMARY errorMsg] = mbsGetBinaryShortSceParamsSummary(Fid);
    if isempty(MMMB_SUMMARY)
        return;
    end
end

% Check if file pointer needs to be calculated and set to before first
% animat state
if isempty(MMMBANIMATSTATEPOINTERARRAY)
    ReadSpeciesDescriptions(Fid);
    location = ftell(Fid);
    for n=0:MMMB_SUMMARY.TotalAnimatCount
        MMMBANIMATSTATEPOINTERARRAY[n+1] = location + n * % here
    end   
elseif MMMBLASTFNCANIMATSTATE == 0 || MMMBLASTITERATION == -1
    ReadSpeciesDescriptions(Fid);
    
end
