function PlotAll(SinglePlot);

% SinglePlot: Set to true when debugging large scenarios.  Only displays a
% sing plot at a time.  Otherwise, all animat plots are displayed.
pauseBetween = 1;

if nargin == 0
    singlePlot = 0;
else
    singlePlot = SinglePlot;
end
    
disp('PlotAll3MB.m\n Plots all .3mb files in current directory');

mmmbFilesList = dir('*.3mb');
close('all');

if(0 == length(mmmbFilesList))
    disp('No .3mb files found');
    return;
end



for n=1:length(mmmbFilesList)
    szFileName = mmmbFilesList(n).name;
    disp(sprintf('Plotting output from: %s', szFileName));
    out = Plot3MbBinaryData(szFileName, singlePlot);
    
    if(pauseBetween)
        disp('press any key to continue');
        pause;
    end
    close('all');   
end