function filePointerLoc = SetFilePointerAfterEnvData(fid)
% Updated for 3mb lib version 3.03 on 06/26/08

% Skip past Scenario Parameters (720 bytes as of version 3.03)
fseek(fid, 720, 'bof');
filePointerLoc = 720;

% The '-4's are because the first 4 bytes of data read in make up the total
% number of bytes that need to be skipped

% Skip past Bathymetry
numBytes = fread(fid, 1, 'int32');
fseek(fid, numBytes-4, 'cof');
filePointerLoc = filePointerLoc + numBytes;

% Skip past Salinity
numBytes = fread(fid, 1, 'int32');
fseek(fid, numBytes-4, 'cof');
filePointerLoc = filePointerLoc + numBytes;

% Skip past Temperature
numBytes = fread(fid, 1, 'int32');
fseek(fid, numBytes-4, 'cof');
filePointerLoc = filePointerLoc + numBytes;
