function PACKEDDATA = UnpackData(Data)

%PACKEDDATA.diveActivity: 0 = SurfaceInterval, 1 = bottomfollowing,   2 = ascending,
%                         3 = descending,      4 = ascendingReversal, 5=descendingReversal,
%                         6 = beached.


PACKEDDATA = struct(...
    'behavior',         bitand(hex2dec('0000007f'), bitshift(Data, 0)), ... bitshift(bitand(hex2dec('0000007f'), Data),  0), ...
    'threasholdFlag',   bitand(hex2dec('00000001'), bitshift(Data, -7)), ... bitget(Data, 7), ...
    'activity',         bitand(hex2dec('00000007'), bitshift(Data, -8)), ... bitshift(bitand(hex2dec('00000f00'), Data), -8), ...
    'overrideBehavior', bitand(hex2dec('0000001f'), bitshift(Data, -11)), ... bitshift(bitand(hex2dec('00000f00'), Data), -8), ...
    'offscreenReset',   bitand(hex2dec('00000001'), bitshift(Data, -18))); % Animat has gone off screen and needs to be reset.
